%define name     amsynth
%define pkg_name amSynth
%define version  1.0.0
%define pkg_ver  1.0.0
%define release  1

%define	desktop_vendor	planetccrma
%define desktop_utils   %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)

Summary:      Software Synthesizer
Name:         %{name}
Version:      %{version}
Release:      %{release}
Epoch:        1
License:      GPL
Group:        Application/Multimedia
URL:          http://amsynthe.sourceforge.net/amSynth/index.html
Source0:      %{pkg_name}-%{pkg_ver}.tar.gz
Patch0:       amSynth-GUI.patch
Patch1:       amsynth-1.0-rc4-alsa.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
Requires:     jack-audio-connection-kit >= 0.66.3
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

BuildRequires: gcc-c++ alsa-lib-devel gtkmm-devel 
BuildRequires: jack-audio-connection-kit-devel libsndfile-devel

%description
amSynth is a software synthesizer, taking inspiration from the
original synths and latest digital ones, while keeping an intuitive
interface.

%prep
%setup -q -n %{pkg_name}-%{pkg_ver}
%patch0 -p1
#%patch1 -p1

%build
%configure
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#--- desktop entry
cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=amSynth
Comment=Software Syntheziser
Icon=
Exec=%{_bindir}/%{pkg_name}
Terminal=false
Type=Application
EOF
%if "%{desktop_utils}" == "yes"
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia
  install %{desktop_vendor}-%{name}.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/amSynth
%{_libexecdir}/amSynth.bin
%{_datadir}/amSynth
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/*%{name}.desktop
%else
%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%changelog
* Sat May  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added proper buildrequires
* Tue Mar  2 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- bumped epoch to 1 to transition from 1.0rc4 to 1.0.0 (darn...)
* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- updated to 1.0.0
* Wed Nov 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc4-1
- added release tags, spec file tweaks
- added patch1 with defines for using old alsa API
* Sat Jul 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc4-1
- updated t0 1.0rc4
* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc2-2
- rebuild for jack 0.66.3, added explicit requires for it
* Mon Jan 27 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc2-1
- added patch to make it compile on 7.3
* Sun Jan 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0rc2-1
- Initial build.
